Subject: bug#14630: 24.3.50; emacs_backtrace.txt

From: martin rudalics <[email-masked]>
Date: Wed, 19 Jun 2013 09:42:39 +0200

>> But quite a lot can happen in this expansion.  Can this fail in
 >> CURRENT_HEADER_LINE_HEIGHT?
 >
 > That again either calls XFRAME or current_header_line_height, which
 > should have been seen in the backtrace.

Are you sure?  I don't understand the emacs_backtrace.txt backtraces.

 >> I know.  I meant that instead of BUFFERP (w->contents) we could check
 >> BUFFER_LIVE_P (XBUFFER (w->contents)) there.
 >
 > How's that related to the assertion that is violated?

Which assertion is violated?  Would it help to demacrofy
WINDOW_HEADER_LINE_HEIGHT in w32_wnd_proc?

martin